# -*- coding: utf-8 -*-
from django.conf.urls import url, include
from django.utils.translation import ugettext_lazy as _
from django.views.generic.base import TemplateView

from project.views import SearchView, NewsletterSubscriptionView, LoginRedirectView, MediaRedirectView

urlpatterns = [
    url(_(r'^suche/'), SearchView.as_view(), kwargs={'search': True}, name='search'),
    url(r'^newsletter/subscription/$', NewsletterSubscriptionView.as_view(), name='newsletter_subscription'),
    url(r'^newsletter/subscription/success/$',
        TemplateView.as_view(template_name='project/newsletter/subscription.html'), kwargs={'success': True},
        name='newsletter_subscription_success'),
    url(r'^login/redirect/$', LoginRedirectView.as_view(), name='login_redirect'),
    url(r'^media/bridge/$', MediaRedirectView.as_view(), name='media_bridge'),
]
